﻿@font-face {
    font-family: shabnam;
    font-family: 'Shabnam';
    font-style: normal;
    font-weight: normal;
    src: url("/font/Shabnam.woff2");
    src: url('/font/Shabnam.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('/font/Shabnam.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('/font/Shabnam.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('/font/Shabnam.ttf') format('truetype');
}

@font-face {
    font-family: 'IRANSansWeb';
    font-style: normal;
    font-weight: normal;
    src: url('/font/IRANSansWeb(FaNum).eot');
    src: url('/font/IRANSansWeb(FaNum).eot?#iefix') format('embedded-opentype'), /* IE6-8 */
    url('/font/IRANSansWeb(FaNum).woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('/font/IRANSansWeb(FaNum).woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('/font/IRANSansWeb(FaNum).ttf') format('truetype');
}

* {
    font-family: Shabnam;
    scroll-behavior: smooth;
    box-sizing: border-box;
}

.fa-spin-hover:hover {
    -webkit-animation: fa-spin 2s infinite linear;
    -moz-animation: fa-spin 2s infinite linear;
    -o-animation: fa-spin 2s infinite linear;
    animation: fa-spin 2s infinite linear;
}

/*html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}*/
/*.active {
    color: #ffffff !important;
    background-image: linear-gradient(#134075,#174f91,#134075);
}*/

.navlink--hover {
    background-image: linear-gradient(#134075,#174f91,#134075);
    background-size: 100% 0%;
    background-repeat: no-repeat;
    transition: .2s;
}
    .navlink--hover:hover {
        background-size: 100% 100%;
    }

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.login--background {
    background-image: url("/img/2.png");
    background-repeat: repeat;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}
.shadowed--text {
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5) !important;
}

.play--button--large, .play--button--large svg {
    width: 70px !important;
    height: 70px !important;
}

.play--button--small, .play--button--small svg {
    width: 30px !important;
    height: 30px !important;
}

.play--button--medium, .play--button--medium svg {
    width: 45px !important;
    height: 45px !important;
}

.shadow--on--hover {
    transition: box-shadow .3s;
    cursor: pointer;
    /*    border-radius: 10px;
*/ border: 1px solid #ccc;
}

    .shadow--on--hover:hover {
        box-shadow: 0 0 11px rgba(33,33,33,.2);
    }

.light--background--on--hover:hover {
    background: linear-gradient(180deg, rgba(244, 245, 238, 1) 0%, rgba(255, 255, 255, 1) 48%, rgba(244, 245, 238, 1) 100%);
}

.zoom--on--hover {
    transition: all 0.3s;
    cursor: pointer;
}

    .zoom--on--hover:hover {
        transform: scale(1.04);
    }

.zoom--on--hover--card {
    transition: all 0.3s;
    cursor: pointer;
}

    .zoom--on--hover--card:hover {
        transform: scale(0.9);
    }

.gradiant--overlay {
    position: absolute;
    right: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,0.5) 0%, rgba(255,255,255,0) 50%);
}

.img--dark {
    filter: brightness(40%);
}

.blur {
    filter: blur(2px);
}

.img--dark--blur {
    filter: brightness(40%) blur(2px);
}

.blur {
    filter: blur(4px);
}

.just--one--line {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.just--two--line {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2; /* تعداد خطوط */
    overflow: hidden;
    text-overflow: ellipsis; /* برای نمایش سه نقطه در انتهای متن */
}

.just--three--line {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3; /* تعداد خطوط */
    overflow: hidden;
    text-overflow: ellipsis; /* برای نمایش سه نقطه در انتهای متن */
}

.just--four--line {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4; /* تعداد خطوط */
    overflow: hidden;
    text-overflow: ellipsis; /* برای نمایش سه نقطه در انتهای متن */
}

.text--light--shadow {
    text-shadow: 0px 0px 2px #fffbfb;
}

.text--dark--shadow {
    text-shadow: 0px 0px 2px #111111;
}

.text--white {
    color: white !important;
}

.text--gray {
    color: gray !important;
}

.divider--gray {
    color: gray !important;
    border-color: gray;
}

.text--black {
    color: black;
}

.blur {
    backdrop-filter: blur(10px);
}

.table--header {
    font-weight: bold !important;
}
/*p {
    border: 2px solid red;
    border-radius: 5px;
}*/

.bg--footer--color {
    /* background: rgb(154, 152, 152); */
    /* background: linear-gradient(90deg, rgb(108, 110, 110) 0%, rgb(202, 206, 206) 38%, rgba(202, 206, 206) 56%, rgba(108, 110, 110) 100%); */
    background: linear-gradient(90deg, rgb(184, 183, 183) 0%, rgb(226, 225, 225) 38%, rgb(226, 225, 225) 56%, rgb(184, 183, 183) 100%);
}

.bg--dark--color {
    background-color: gray !important;
}

.bg--very--dark--color {
    background-color: rgb(82, 79, 79) !important;
}

.bg--header {
    background: linear-gradient(180deg, rgb(233, 232, 232) 0%, rgb(255, 255, 255) 50%, rgb(233, 232, 232) 100%);
}

.bg--navbar {
    background: linear-gradient(180deg, rgb(241, 237, 237) 0%, rgb(250, 250, 248) 50%, rgba(241, 237, 237) 100%);
}

.bg--gradient1 {
    background: radial-gradient(ellipse at center, rgb(255, 255, 255) 0%, rgb(250, 249, 241) 35%, #e2e2e2 100%);
}

.bg--gradient2 {
    background: linear-gradient(180deg, rgba(244, 245, 238, 1) 0%, rgba(255, 255, 255, 1) 48%, rgba(244, 245, 238, 1) 100%);
}

.bg--gradient3 {
    background: linear-gradient(180deg, rgba(244, 245, 238, 1) 0%, rgba(255, 255, 255, 1) 50%, rgba(244, 245, 238, 1) 100%);
}
.bg--gradient4 {
    background: rgb(255,255,255);
    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(253,255,245,1) 50%, rgba(255,255,255,1) 100%);
}
.bg--gradient5 {
    background: rgb(255,255,255);
    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(228,228,228,1) 50%, rgba(255,255,255,1) 100%);
}

.bg--gradient--circle {
    background: radial-gradient(circle, rgba(255, 255, 255, 1) 25%, rgb(241, 242, 238) 60%);
}

.bg--gradient--circle2 {
    background: rgb(255,255,255);
    background: radial-gradient(circle, rgba(255,255,255,0) 0%, rgba(247,247,247,1) 100%);
}

.bg--gradient--opacity {
    background: radial-gradient(circle, rgba(255, 255, 255, 0.479) 25%, rgba(241, 242, 238, 0.582) 60%);
}

.bg--gradient--dark {
    background: linear-gradient(180deg, rgb(247, 244, 244) 0%, rgb(226, 226, 226) 50%, rgb(245, 243, 243) 100%);
}

.bg--info {
    background: linear-gradient(90deg, rgba(158,177,181,1) 25%, rgba(213,223,224,1) 42%, rgba(213,223,224,1) 61%, rgba(158,177,181,1) 80%);
}

.bg--video--icon {
    background: rgb(93,90,91);
    background: radial-gradient(circle, rgba(93,90,91,1) 0%, rgba(185,185,185,0.7035189075630253) 100%);
}

.bg--transparent {
    background-color: transparent !important;
}
.bg--light {
    background-color: white !important;
}

.vertical--line {
    border-left: 6px solid gray;
    bottom: 0;
    top: 0;
}

.border--gray {
    border: 1px solid gray;
    /*    border-radius: 5px;
*/
}

.center--in--parent {
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.fs--bold {
    font-weight: bold !important;
}

.fs--little {
    font-size: 0.9rem !important;
}

.fs--very--little {
    font-size: 0.8rem !important;
}

.background--gradiant--light {
    background-color: AliceBlue;
    /*background: linear-gradient(0deg, rgba(59,59,59,0.6979166666666667) 0%, rgba(250,250,250,0) 66%, rgba(255,255,255,0) 100%);*/
}

.background--gradiant {
    background: rgb(59,59,59);
    background: linear-gradient(0deg, rgba(59,59,59,0.6979166666666667) 0%, rgba(250,250,250,0) 66%, rgba(255,255,255,0) 100%);
}

/*DialogStuff*/
.dialog--background {
    background-color: #E9ECEF !important;
}

.content--background {
    background-color: #F3F5F7 !important;
}


@media(max-width:960px) {
    .text--center--on--mobile {
        text-align: center !important;
    }
}
@media (max-width: 600px) {
    .mud-dialog {
        width: 95% !important;
        /*height: 100% !important;*/
        /*margin: 0 !important;*/
        /*top: 0 !important;*/
        left: 0 !important;
        right: 0 !important;
        /*bottom: 0 !important;*/
        /*border-radius: 0 !important;*/ 
    }
}